## org.springframework.http.client
Interface ClientHttpRequest

All Superinterfaces:
  HttpMessage, HttpOutputMessage

All Known Implementing Classes:
  AbstractClientHttpRequest

    public interface ClientHttpRequest

extends HttpOutputMessage

Represents a client-side HTTP request. Created via an implementation of the `ClientHttpRequestFactory`.

A `HttpRequest` can be executed, getting a `ClientHttpResponse` which can be read from.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `ClientHttpRequestFactory.createRequest(java.net.URI, HttpMethod)`

Method Summary
`ClientHttpResponse` `execute()` Execute this request, resulting in a `ClientHttpResponse` that can be read.
`HttpMethod` `getMethod()` Return the HTTP method of the request.
`URI` `getURI()` Return the URI of the request.

Methods inherited from interface org.springframework.http.HttpOutputMessage
`getBody`

Methods inherited from interface org.springframework.http.HttpMessage
`getHeaders`

Method Detail

### getMethod

    HttpMethod getMethod()

  Return the HTTP method of the request.

  Returns:
    the HTTP method as an HttpMethod enum value

### getURI

    URI getURI()

  Return the URI of the request.

  Returns:
    the URI of the request

### execute

    ClientHttpResponse execute()
                               throws IOException

  Execute this request, resulting in a `ClientHttpResponse` that can be read.

  Returns:
    the response result of the execution
  Throws:
    `IOException` - in case of I/O errors